import React from 'react';
import { ErrorManagerProps } from './types';
/**
 * Component that manages the display of error messages. Can be configured to display a dialog, a message box, or neither
 *
 * @param {ErrorManagerProps} props - Props of Error Manager
 *
 * @category Component
 */
export declare const ErrorManager: React.FC<React.PropsWithChildren<ErrorManagerProps>>;
