var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
/**
 * @packageDocumentation
 * @module ErrorContextProvider
 */
import React from 'react';
import { ErrorContext } from './context';
/**
 * ErrorContextProvider is used to configure error handling within the workflow
 * @param {ErrorContextProviderProps} props - props for Error Context Provider
 */
export const ErrorContextProvider = (props) => {
    const { children } = props, ErrorContextProps = __rest(props, ["children"]);
    return React.createElement(ErrorContext.Provider, { value: ErrorContextProps }, children);
};
