import { OktaAuthContext } from './context';
import { OktaAuthContextProvider } from './provider';
import { OktaAuthContextProviderProps } from './types';
/**
 * Hook to get top level data in okta authentication workflow
 *
 * @category Hooks
 * @private
 * @internal
 */
export declare const useOktaAuthContext: () => OktaAuthContextProviderProps;
export type { OktaAuthContextProviderProps };
export { OktaAuthContext, OktaAuthContextProvider };
