/**
 * @packageDocumentation
 * @module RegistrationWorkflowContextProvider
 */
import React from 'react';
import { RegistrationWorkflowContextProps } from './types';
/**
 * RegistrationWorkflowContextProvider allows you to access data such as the current screen, the total number of screens and all screens data throughout registration
 * @param {RegistrationWorkflowContextProps} props - props for Registration Workflow Context Provider
 */
export declare const RegistrationWorkflowContextProvider: React.FC<React.PropsWithChildren<RegistrationWorkflowContextProps>>;
