import React from 'react';
import { CreateAccountScreenProps } from './types';
/**
 * Component that renders a screen for the user to enter their email address to start the
 * account creation process.
 *
 * @param {CreateAccountScreenProps} props - Props of Create Account Screen component
 *
 * @category Component
 */
export declare const CreateAccountScreen: React.FC<CreateAccountScreenProps>;
