import React from 'react';
import { EulaScreenProps } from './types';
/**
 * Component that renders a screen displaying the EULA and requests acceptance via a checkbox.
 *
 * @param {EulaScreenProps} props - Props of Eula Screen
 *
 * @category Component
 */
export declare const EulaScreen: React.FC<EulaScreenProps>;
