import React from 'react';
import { OktaLoginScreenProps } from './types';
/**
 * Component that renders a okta login screen that prompts a user to redirect to okta login sign in page.
 *
 * @param {OktaLoginScreenProps} props - Props of okta Login Screen component
 *
 * @category Component
 */
export declare const OktaRedirectLoginScreen: React.FC<React.PropsWithChildren<OktaLoginScreenProps>>;
