import React from 'react';
import { VerifyCodeScreenProps } from './types';
/**
 * Component that renders a screen that prompts a user to enter the confirmation code
 * that was sent to the email address that they used to register.
 *
 * @param {VerifyCodeScreenProps} props - props of VerifyCodeScreen
 *
 * @category Component
 */
export declare const VerifyCodeScreen: React.FC<VerifyCodeScreenProps>;
