import { ErrorMessageBoxProps } from './types';
/**
 * Component that renders a basic message box with an error message and a configurable dismiss button
 *
 * @param {ErrorMessageBoxProps} props - Props of Error Message Box
 *
 * @category Component
 */
export declare const ErrorMessageBox: (props: ErrorMessageBoxProps) => JSX.Element;
