import React from 'react';
import { SetPasswordProps } from './types';
/**
 * Component that renders a change password form with a new password and confirm password inputs.
 * It includes callbacks so you can respond to changes in the inputs.
 *
 * @param {SetPasswordProps} props - props of SetPassword component
 *
 * @category Component
 */
export declare const SetPassword: React.FC<React.PropsWithChildren<SetPasswordProps>>;
