/**
 * @packageDocumentation
 * @module ErrorContextProvider
 */
import React from 'react';
import { ErrorContextProviderProps } from './types';
/**
 * ErrorContextProvider is used to configure error handling within the workflow
 * @param {ErrorContextProviderProps} props - props for Error Context Provider
 */
export declare const ErrorContextProvider: React.FC<React.PropsWithChildren<ErrorContextProviderProps>>;
