import { RegistrationContext } from './context';
import i18nRegistrationInstance from './i18nRegistrationInstance';
import { RegistrationContextProviderProps, RegistrationUIActions, AccountDetails } from './types';
import { RegistrationContextProvider } from './provider';
import { RegistrationDictionaries } from './RegistrationDictionaries';
/**
 * Hook to get the data of each registration workflow screen
 *
 * @category Hooks
 * @private
 * @internal
 */
export declare const useRegistrationContext: () => RegistrationContextProviderProps;
export type { RegistrationContextProviderProps, RegistrationUIActions, AccountDetails };
export { RegistrationContext, RegistrationContextProvider, i18nRegistrationInstance, RegistrationDictionaries };
