/**
 * @packageDocumentation
 * @module RegistrationContextProvider
 */
import React from 'react';
import { RegistrationContextProviderProps } from './types';
/**
 * RegistrationContextProvider allow you to access shared data / configuration / API definition for registration workflow
 * @param {RegistrationContextProviderProps} props - props for Registration Context Provider
 */
export declare const RegistrationContextProvider: React.FC<React.PropsWithChildren<RegistrationContextProviderProps>>;
