import React from 'react';
import { AccountDetailsScreenProps } from './types';
/**
 * Component renders a screen with account details information for support with the application.
 * Contact information is pulled from the context passed into the workflow.
 *
 * @param {AccountDetailsScreenProps} props - Props of Create Account Screen
 *
 * @category Component
 */
export declare const AccountDetailsScreenBase: React.FC<AccountDetailsScreenProps>;
