import React from 'react';
import { ChangePasswordScreenProps } from './types';
/**
 * Base Component that renders a textField to enter current password and a change password form with a new password and confirm password inputs.
 * It includes callbacks so you can respond to changes in the inputs.
 *
 * @param {ChangePasswordScreenProps} props - props of Change Password Base component
 *
 * @category Component
 */
export declare const ChangePasswordScreenBase: React.FC<ChangePasswordScreenProps>;
