import React from 'react';
import { CreateAccountScreenProps } from './types';
/**
 * Base Component that renders a screen for the user to enter their email address to start the
 * account creation process.
 *
 * @param {CreateAccountScreenProps} props - Basic props of Create Account Screen Base component
 *
 * @category Component
 */
export declare const CreateAccountScreenBase: React.FC<CreateAccountScreenProps & {
    inputRef?: any;
}>;
