import React from 'react';
import { EulaScreenProps } from './types';
/**
 * Base Component that renders a screen displaying the EULA and requests acceptance via a checkbox.
 *
 * @param {EulaScreenProps} props - Basic props of EULA Screen Base component
 *
 * @category Component
 */
export declare const EulaScreenBase: React.FC<EulaScreenProps>;
