import React from 'react';
import { SuccessScreenProps } from '../SuccessScreen';
/**
 * Full screen component that renders a Success Screen for the accounts that already exists in the records
 *
 * @param {SuccessScreenProps} props - Props of SuccessScreen component
 *
 * @category Component
 */
export declare const ExistingAccountSuccessScreen: React.FC<SuccessScreenProps>;
