import React from 'react';
import { LoginScreenProps } from './types';
/**
 * Component that renders a login screen that prompts a user to enter a username and password to login.
 *
 * @param {LoginScreenProps} props - Props of Login Screen component
 *
 * @category Component
 */
export declare const LoginScreenBase: React.FC<React.PropsWithChildren<LoginScreenProps>>;
