import React from 'react';
import { OktaLoginScreenProps } from './types';
/**
 * Component that renders a login screen that prompts user to login via Okta.
 *
 * @param {OktaLoginScreenProps} props - Props of Login Screen component
 *
 * @category Component
 */
export declare const OktaRedirectLoginScreenBase: React.FC<React.PropsWithChildren<OktaLoginScreenProps>>;
