import React from 'react';
import { ResetPasswordScreenProps } from './types';
/**
 * Component that renders a ResetPassword screen that allows a user to reset their password and shows a success message upon a successful password reset.
 *
 * @param {ResetPasswordScreenProps} props - props of ResetPasswordScreen
 *
 * @category Component
 */
export declare const ResetPasswordScreen: React.FC<ResetPasswordScreenProps>;
